## Copyright (C) 2022 Ioannis Kosmidis

## Distributed as part of the supplementary material for the manuscript
## "Empirical bias-reducing adjustments to estimating functions"
##
## Authors: Ioannis Kosmidis
## Licence: GPL 2 or greater
## NOT A POLISHED PIECE OF PUBLIC-USE SOFTWARE!  Provided "as is".
## NO WARRANTY OF FITNESS FOR ANY PURPOSE!
##
## It is assumed that the user has a Julia and R installation with all
## packages required by the current script and any other script
## included.
##
##
## Code to define the simulation setting "2010.13867v2, §6 (n = 100, p = 20)" in Table S3

n_simu <- 1000
set.seed(20230110)

tr <- "identity"
n <- 100
kappa <- 0.6
betas <- c(1.5, 2.5, -2.5, rep(0.0, 17))
pars0 <- c(betas, p_k(kappa, trans = tr))
names(pars0) <- c(paste0("X", sprintf("%02d", 1:length(betas))), "kappa")
X <- cbind(1, rnorm(n), rep(c(0, 1), each = n/2))
X <- cbind(X, matrix(rnorm(n * (length(betas) - ncol(X)), 0, sqrt(16 / n)), nrow = n))
colnames(X) <- paste0("X", sprintf("%02d", 1:length(betas)))

kappa_bd <- 0.001
se_bd <- 100

sim_Y <- replicate(n_simu, simulate_nb(pars0, X, trans = tr))
