## Copyright (C) 2022 Ioannis Kosmidis

## Distributed as part of the supplementary material for the manuscript
## "Empirical bias-reducing adjustments to estimating functions"
##
## Authors: Ioannis Kosmidis
## Licence: GPL 2 or greater
## NOT A POLISHED PIECE OF PUBLIC-USE SOFTWARE!  Provided "as is".
## NO WARRANTY OF FITNESS FOR ANY PURPOSE!
##
## It is assumed that the user has a Julia and R installation with all
## packages required by the current script and any other script
## included.
##
##
## Code to define the simulation setting "2204.07907v1, §J.4 (n = 400, p = 51)" in Table S3

n_simu <- 1000
set.seed(333)

tr <- "identity"
n <- 400
kappa <- 0.7
betas <- c(2, 1, -1, rep(0.0, 48))
p <- length(betas) - 1
pars0 <- c(betas, p_k(kappa, trans = tr))
names(pars0) <- c(paste0("X", sprintf("%02d", 1:length(betas))), "kappa")
X <- cbind(1, matrix(rnorm(n * p, 0, sqrt(8 / p)), nrow = n))
colnames(X) <- paste0("X", sprintf("%02d", 1:length(betas)))

kappa_bd <- 0.001
se_bd <- 100

sim_Y <- replicate(n_simu, simulate_nb(pars0, X, trans = tr))
